//@author: antokhio
//@help: template for compute shaders
//@tags: CS, template
//@credits: 

Texture2D InputTexture;
RWTexture2D<float4> RWOutputTexture : BACKBUFFER;

[numthreads(1,1,1)]
void CS_Simple(uint3 tid : SV_DispatchThreadID)
{
    RWOutputTexture[tid.xy] = InputTexture.Load(int3(tid.x, tid.y,0));
}

technique11 Simple
{
	pass P0
	{
		SetComputeShader( CompileShader( cs_5_0, CS_Simple() ) );
	}
}